#!/bin/bash

### bug 170135
tmp_dir="/usr/lib/systemd"
if [ -d ${tmp_dir} ];then
	tmpstr=$(ls -ld  ${tmp_dir} | cut -d ' ' -f1) || true
	if [ "${tmpstr}" == "drwxrwxrwx" ];then
		chmod 755 ${tmp_dir}
	fi
fi

tmp_dir="/etc/NetworkManager"
if [ -d ${tmp_dir} ];then
	tmpstr=$(ls -ld  ${tmp_dir} | cut -d ' ' -f1) || true
	if [ "${tmpstr}" == "drwxrwxrwx" ];then
		chmod 755 ${tmp_dir}
	fi
fi

tmp_file="/etc/NetworkManager/conf.d/30-gw-unmanaged-devices.conf"
if [ -f ${tmp_file} ];then
	tmpstr=$(ls -ld  ${tmp_file} | cut -d ' ' -f1) || true
	if [ "${tmpstr}" == "-rwxrwxrwx" ];then
		chmod 644 ${tmp_file}
	fi
fi

tmp_file="/etc/default/grub"
if [ -f ${tmp_file} ];then
	tmpstr=$(ls -ld  ${tmp_file} | cut -d ' ' -f1) || true
	if [ "${tmpstr}" == "-rwxrwxrwx" ];then
		chmod 644 ${tmp_file}
	fi
fi
### bug 170135 end

### bug 171180
tmp_dir="/data"
if [ -d ${tmp_dir} ];then
	tmpstr=$(ls -ld  ${tmp_dir} | cut -d ' ' -f1) || true
	case $tmpstr in
		drwxrwxr-*)
			chmod +1777 /data
			;;
		drwxr-xr-*)
			chmod +1777 /data
			;;
	esac
fi

### bug 171180 end


buildid=$(grep -oP '(?<=buildid: )\d+' /etc/kylin-build 2>/dev/null || echo "")
if [ "$buildid" -eq "54431" ]; then
is_error_innogpu=$(dpkg -l | grep "innogpu-fh2m" | grep "3.1.0.12")
    if [ -n "${is_error_innogpu}" ];then
        echo "remove:  ${is_error_innogpu}"
        dpkg -P innogpu-fh2m
    fi
fi

